# Uses of Enum Class
org.apache.lucene.store.ReadOnceHint

Packages that use ReadOnceHint
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of ReadOnceHint in org.apache.lucene.store

  Methods in org.apache.lucene.store that return ReadOnceHint
  Modifier and Type
  Method
  Description
  `static ReadOnceHint`
  ReadOnceHint.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadOnceHint[]`
  ReadOnceHint.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.